Summary: Script to update Snort rules
Name: oinkmaster
Version: 2.0
Release: 1tr
Group: Trustix Official
Source: http://nchc.dl.sourceforge.net/sourceforge/oinkmaster/%{name}-%{version}.tar.gz
Source1: oinkmaster.cron
Source2: oinkmaster.conf
License: BSD
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: snort

%description
Oinkmaster is simple Perl script released under the BSD license that
helps you keep your Snort rules current with little or no user 
interaction. It has quite a few useful features regarding rules
management, such as ability to enable, disable and modify specified
rules after each update. It will tell you the exact changes from your
previous rules, so you have total control of what's going on.

%prep
%setup -q

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/cron.daily,%{_bindir}}
install -d $RPM_BUILD_ROOT%{_mandir}/man1/
install -m 755 oinkmaster.pl $RPM_BUILD_ROOT%{_bindir}
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/cron.daily/
install -m 644 oinkmaster.1 $RPM_BUILD_ROOT%{_mandir}/man1/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,0755)
%doc README UPGRADING ChangeLog INSTALL
%{_bindir}/*
%config(noreplace) %{_sysconfdir}/oinkmaster.conf
%{_sysconfdir}/cron.daily/oinkmaster.cron
%{_mandir}/man1/oinkmaster.1*

%changelog
* Wed Mar 28 2007 Nived Gopalan <nived at trustix dot org> 2.0-1tr
- Initial release

